Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/5506/?format=api
{ "ob_id": 5506, "uuid": "d758b820b4eba646ff0d6c05b552e23d", "title": "COSPAR International Reference Atmosphere (CIRA-86): Global compilations of ground-based, radiosonde, NIMBUS satellite and MSIS-86 model data from 1963-1973", "abstract": "The COSPAR International Reference Atmosphere (CIRA) provides empirical models of atmospheric temperatures and densities as recommended by the Committee on Space Research (COSPAR). A global climatology of atmospheric temperature, zonal velocity and geopotential height derived from a combination of satellite, radiosonde and ground-based measurements and model data. The reference atmosphere extends from pole to pole and 0-120 km. The majority of the data are on a 5 degree latitude grid and approximately 2 km vertical resolution. \r\n\r\nThe lower part (0-120 km) of CIRA-86 consists of tables of the monthly mean values of temperature and zonal wind with almost global coverage (80N - 80S). Two sets of files were compiled, one in pressure coordinates including also the geopotential heights, and one in height coordinates\r\nincluding also the pressure values. These tables were generated from several global data compilations including ground-based and satellite (Nimbus 5,6,7) measurements: Oort (1983), Labitzke et al. (1985). The lower part was merged with MSIS-86 at 120 km altitude. In general, hydrostatic and thermal wind balance are maintained at all levels. The model accurately reproduces most of the characteristic features of the atmosphere such as the equatorial wind and the general structure\r\nof the tropopause, stratopause, and mesopause.\r\n\r\nThis data set is a corrected version of the original CIRA data files as provided by J. Barnett (July 1990) in ASCII format.\r\n\r\nAdditionally a netCDF version of the data were produced by BADC user and added to this dataset.\r\n\r\nThis dataset is public. ", "keywords": "COSPAR, CIRA, reference atmosphere", "publicationState": "published", "dataPublishedTime": "2007-01-04T18:51:30", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/5507/?format=api", "dataPath": "/badc/cira/data/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1457772, "numberOfFiles": 15, "fileFormat": "Original data are ASCII formatted. A netCDF version has also been prepared. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1588/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/7562/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25857/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51186/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51981/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/79829/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/79830/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/79831/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/79832/?format=api" ], "dataLineage": "ASCII data files acquired as is from the NASA National Space Science Data Center. Netcdf file produced and provided by a BADC user.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3604/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5500/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5497/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24028/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24033/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24027/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24032/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24026/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24029/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24030/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24031/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54967/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/13348/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }